# station_base.h File Reference

Base classes/functions for stations. More...

`#include "base_station_base.h"`
`#include "airport.h"`
`#include "cargopacket.h"`
`#include "industry_type.h"`

Go to the source code of this file.

## Data Structures
struct | GoodsEntry
struct | Station
| Station data structure. More...
## Defines
#define | FOR_ALL_STATIONS(var) FOR_ALL_BASE_STATIONS_OF_TYPE(Station, var)
## Typedefs
typedef Pool< BaseStation, StationID, 32, 64000 > | StationPool
typedef SmallVector< Industry *, 2 > | IndustryVector
## Variables
StationPool | _station_pool
static const byte | INITIAL_STATION_RATING = 175

## Detailed Description

Base classes/functions for stations.

Definition in file station_base.h.